#!/usr/bin/perl
#$Id: set_relay.pl,v 1.2 2019/04/09 06:25:57 sqko Exp $
use ElchemeaHeader;
use Elchemea;
use SocketClient;
my $ch = shift;
$ch =~ /(\d+)/;
$ch = $1+0;
$ch = 3 if ($ch > 3);
$ch = 0 if ($ch < 0);

my $str = Elchemea::get_config_value('equipment','parallel_port_controler'); 
if ($str && $str =~ /yes/i)
{
    my $cmd = '/usr/local/bin/elchemea/printport-client.pl set ';
    my $ctl = 4;
    system("$cmd $ctl 1 > /dev/null");
    sleep(1);
    for (my $x = 0; $x < 4; $x++)
    {
	system("$cmd $x 0 > /dev/null");
    }
    system("$cmd $ch 1 > /dev/null");
    sleep(1);
    system("$cmd $ctl 0");
    exit;
}
my $addr =  Elchemea::get_config_value('equipment','multiplexer_address');
my $tty =  Elchemea::get_config_value('equipment','multiplexer_TTY');
$addr = 1 unless ($addr);
$tty = 'ttyS0' unless ($tty);
serial_client($tty,'relay',$addr,4,0);
sleep(1);
for my $x (0..3)
{
    serial_client($tty,'relay',$addr,$x,0);
}
serial_client($tty,'relay',$addr,$ch,1);
sleep(1);
serial_client($tty,'relay',$addr,4,1);
